be.cin.mycarenet._1_0.carenet.types

## Enum SpecificTechnicalCareTypeType

- java.lang.Object
- - java.lang.Enum<SpecificTechnicalCareTypeType>
  - - be.cin.mycarenet._1_0.carenet.types.SpecificTechnicalCareTypeType

- All Implemented Interfaces:
    Serializable, Comparable<SpecificTechnicalCareTypeType>

      public enum SpecificTechnicalCareTypeType
      extends Enum<SpecificTechnicalCareTypeType>

  Java class for SpecificTechnicalCareTypeType.

  The following schema fragment specifies the expected content contained within this class.

       <simpleType name="SpecificTechnicalCareTypeType">
         <restriction base="{http://www.w3.org/2001/XMLSchema}string">
           <enumeration value="perfusion"/>
           <enumeration value="parenteral"/>
           <enumeration value="catheter"/>
           <enumeration value="woundcarenotification30-59"/>
           <enumeration value="woundcarenotification60-89"/>
           <enumeration value="woundcarenotification90+"/>
           <enumeration value="woundcarerenew30-59"/>
           <enumeration value="woundcarerenew60-89"/>
           <enumeration value="woundcarerenew90+"/>
         </restriction>
       </simpleType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CATHETER`
    `PARENTERAL`
    `PERFUSION`
    `WOUNDCARENOTIFICATION_30_59`
    `WOUNDCARENOTIFICATION_60_89`
    `WOUNDCARENOTIFICATION_90`
    `WOUNDCARERENEW_30_59`
    `WOUNDCARERENEW_60_89`
    `WOUNDCARERENEW_90`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SpecificTechnicalCareTypeType` | `fromValue(String v)`
    `String` | `value()`
    `static SpecificTechnicalCareTypeType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SpecificTechnicalCareTypeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PERFUSION

          public static final SpecificTechnicalCareTypeType PERFUSION

    - #### PARENTERAL

          public static final SpecificTechnicalCareTypeType PARENTERAL

    - #### CATHETER

          public static final SpecificTechnicalCareTypeType CATHETER

    - #### WOUNDCARENOTIFICATION_30_59

          public static final SpecificTechnicalCareTypeType WOUNDCARENOTIFICATION_30_59

    - #### WOUNDCARENOTIFICATION_60_89

          public static final SpecificTechnicalCareTypeType WOUNDCARENOTIFICATION_60_89

    - #### WOUNDCARENOTIFICATION_90

          public static final SpecificTechnicalCareTypeType WOUNDCARENOTIFICATION_90

    - #### WOUNDCARERENEW_30_59

          public static final SpecificTechnicalCareTypeType WOUNDCARERENEW_30_59

    - #### WOUNDCARERENEW_60_89

          public static final SpecificTechnicalCareTypeType WOUNDCARERENEW_60_89

    - #### WOUNDCARERENEW_90

          public static final SpecificTechnicalCareTypeType WOUNDCARERENEW_90

  - ### Method Detail

    - #### values

          public static SpecificTechnicalCareTypeType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SpecificTechnicalCareTypeType c : SpecificTechnicalCareTypeType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SpecificTechnicalCareTypeType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          public String value()

    - #### fromValue

          public static SpecificTechnicalCareTypeType fromValue(String v)

Connector Package PERSMIDWIFE 4.8.6 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.